=== modified file 'NEWS'
--- NEWS	2009-02-26 20:10:17 +0000
+++ NEWS	2009-03-01 20:21:01 +0000
@@ -5,7 +5,7 @@
 ---------------
     - Loggerhead now serves bzr branches over HTTP and exposes the URL to
       branch them. (Jonathan Lange)
-    
+
     - Leading blank lines in commit messages no longer result in an empty
       summary. (Colin Watson)
 

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2009-03-01 20:16:18 +0000
+++ loggerhead/controllers/annotate_ui.py	2009-03-01 20:21:01 +0000
@@ -42,12 +42,10 @@
         file_revid = self._history.get_inventory(revid)[file_id].revision
         tree = self._history._branch.repository.revision_tree(file_revid)
 
-	file_name = os.path.basename(self._history.get_path(revid, file_id))
-	hl_lines = None
+        file_name = os.path.basename(self._history.get_path(revid, file_id))
 
         try:
-	    file_lines = tree.get_file_lines(file_id)
-
+            file_lines = tree.get_file_lines(file_id)
             bzrlib.textfile.check_text_lines(file_lines)
         except bzrlib.errors.BinaryFile:
                 # bail out; this isn't displayable text
@@ -55,7 +53,7 @@
                                      text='(This is a binary file.)',
                                      change=util.Container())
         else:
-	    hl_lines = highlight(file_name, ''.join(file_lines))
+            hl_lines = highlight(file_name, ''.join(file_lines))
 
             change_cache = {}
 

